Yes, our hardware is compatible with 1.0 and 1.1 specifications.

Leave a Reply

Your email address will not be published. Required fields are marked *

This site is registered on wpml.org as a development site.